## gate.sgml
Class CustomObject

    java.lang.Object
      |
      +--gate.sgml.CustomObject

class CustomObject
extends Object

The objects belonging to this class are used inside the stack

Field Summary
`private int` `closePos`
`private String` `elemName`
`private boolean` `empty`

Constructor Summary
`CustomObject()`

Method Summary
`int` `getClosePos()`
`String` `getElemName()`
`boolean` `isEmpty()`
`(package private) void` `setClosePos(int aPos)`
`(package private) void` `setElemName(String anElemName)`
`(package private) void` `setEmpty(boolean anEmptyValue)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### elemName

    private String elemName

### closePos

    private int closePos

### empty

    private boolean empty

Constructor Detail

### CustomObject

    public CustomObject()

Method Detail

### getElemName

    public String getElemName()

### getClosePos

    public int getClosePos()

### isEmpty

    public boolean isEmpty()

### setElemName

    void setElemName(String anElemName)

### setClosePos

    void setClosePos(int aPos)

### setEmpty

    void setEmpty(boolean anEmptyValue)